org.apache.ignite.internal.processors.cache

## Enum GridCacheOperation

- java.lang.Object
- - java.lang.Enum<GridCacheOperation>
  - - org.apache.ignite.internal.processors.cache.GridCacheOperation

All Implemented Interfaces:
  Serializable, Comparable<GridCacheOperation>

    public enum GridCacheOperation
    extends Enum<GridCacheOperation>

Cache value operations.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CREATE` Create operation.
`DELETE` Delete operation.
`NOOP` This operation is used when lock has been acquired, but filter validation failed.
`READ` Read operation.
`RELOAD` Cache operation used to indicate reload during transaction recovery.
`TRANSFORM` Transform operation.
`UPDATE` Update operation.

### Method Summary

All Methods Static Methods Concrete Methods
`static GridCacheOperation` `fromOrdinal(int ord)`
`static GridCacheOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridCacheOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### READ

    public static final GridCacheOperation READ

Read operation.

#### CREATE

    public static final GridCacheOperation CREATE

Create operation.

#### UPDATE

    public static final GridCacheOperation UPDATE

Update operation.

#### DELETE

    public static final GridCacheOperation DELETE

Delete operation.

#### TRANSFORM

    public static final GridCacheOperation TRANSFORM

Transform operation. A closure will be applied to the previous entry value.

#### RELOAD

    public static final GridCacheOperation RELOAD

Cache operation used to indicate reload during transaction recovery.

#### NOOP

    public static final GridCacheOperation NOOP

This operation is used when lock has been acquired, but filter validation failed.

### Method Detail

#### values

    public static GridCacheOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridCacheOperation c : GridCacheOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridCacheOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridCacheOperation fromOrdinal(int ord)

Parameters:
  `ord` - Ordinal value.
Returns:
  Enum value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019